blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
7976dbc63a91b74fbd3aaca56f48b6be2be765f6
Shell
szeged/CanvasWorker
/test.sh
UTF-8
689
3.609375
4
[ "BSD-3-Clause" ]
permissive
#!/bin/bash BASE=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) KILL="killall chrome 2>/dev/null" CHROME=$BASE/src/out/Release/chrome USERDIR="$HOME/.config/google-chrome-dev" PARAMS="--disable-infobars --no-sandbox --allow-file-access-from-files --user-data-dir=$USERDIR" EXEC="$CHROME $PARAMS" TDIR="" cd $BASE ...
true
4456f9a4ca4e95254c4b28a7d99087d5069a153c
Shell
jkiesele/TtZAnalysis
/Analysis/scripts/fullMtopSet.sh
UTF-8
2,289
2.53125
3
[]
no_license
##really quick and dirty all extraction set mtFromXsec2 *_nominal_syst.root --makepdfs -p "total step 8" # for controlPlots #dont overthread export OMP_NUM_THREADS=12 mtFromXsec2 *_nominal_syst.root --extract --makepdfs -p "total step 8"& mtFromXsec2 *_nominal_syst.root --extract --makepdfs -p "m_lb min step 8"& mt...
true
00c166a7d2d840a0889b900790ac07da9614c62a
Shell
fernandofig/ntfs-3g_osx_binary_image_builder
/ntfs3g-pkg-builder
UTF-8
15,199
3.625
4
[]
no_license
#!/bin/bash modify_gettext_portbuild() { echo "Modifying gettext portfile for custom build:" echo -n " - Creating working copy... " cp $PORTSDIR/devel/gettext/Portfile $TMPDIR/Portfile.gettext cp $TMPDIR/Portfile.gettext $TMPDIR/Portfile.gettext.orig echo "Ok." echo -n " - Adding forced /usr/local prefix... " ...
true
8d794f6ce1702d56bae61e65cb8e6db1038f9144
Shell
sjrobert17/vhost_creator
/vhost_creator.sh
UTF-8
3,287
3.75
4
[]
no_license
#!/bin/bash # Shell Script to create new VirtualHosts # https://github.com/sjrobert17 # https://twitter.com/sjrobert17 # ------------------------------------------------------------------------- echo "Hello and welcome to my tool for adding VirtualHost to this server" echo "In order to create a new VirtualHost we must...
true
3cf1f074fc444e7cd520eda5a0bd861676e4e59d
Shell
denisalevi/.dotfiles
/bashrc
UTF-8
6,441
3.265625
3
[ "MIT" ]
permissive
# # ~/.bashrc # # ~/.bashrc: executed by bash(1) for non-login shells. # see /usr/share/doc/bash/examples/startup-files (in the package bash-doc) # for examples # If not running interactively, don't do anything [[ $- != *i* ]] && return # don't put duplicate lines in the history. See bash(1) for more options export ...
true
c1638b7428251ec85c985766c05ea259362d9209
Shell
jgattpardot/native-setup-scripts
/whats_running
UTF-8
613
2.84375
3
[]
no_license
#!/bin/bash all_running=0 echo " ===== managed services " echo '' echo " - Java Services " is_java_services_running if [[ $? -eq 1 ]]; then all_running=0 fi echo "" echo " - Job Infrastructure " is_job_infrastructure_running if [[ $? -eq 1 ]]; then all_running=0 fi echo "" echo " - Solr " is_solr_running i...
true
d0738c3ba1b32f591c057559ad223f6c6fdf9dde
Shell
rayblair06/aws-fargate-node
/src/fargate-deploy.sh
UTF-8
7,779
4.0625
4
[]
no_license
#!/bin/bash ################################################################################ _NAME_="fargate-deploy.sh" _PURPOSE_="This script builds a Docker container and deploys it to \ Amazon's ECS using the Task Definition and Service entities." _REQUIRES_="aws, docker, git, npm" ...
true
0fe48b99c24d823fe3d984e9d8119c8b6905500d
Shell
codegordi/src
/bash/redshift_helper.sh
UTF-8
424
3.703125
4
[]
no_license
#!/bin/bash ## redshift_helpers.sh ## bash functions to help with programmatic ## redshift querying function require_value () { name=$1 value=${!name} if [ -z $value ] ; then echo "No $name given" exit 1 fi } function execute_redshift_query () { query_file=$1 psql \ --no-psqlrc \ -h $red...
true
d5bb1d1bb06a17d89aca02371f4bfdf68a3d7bc1
Shell
awesomebytes/upc_mrn
/scripts/configurarGazebo.sh
UTF-8
677
3.453125
3
[]
no_license
#/bin/bash # Locate workspace substring="upc_mrn/manifest.xml" path_upc_mrn="$(locate $substring)" path_ws=${path_upc_mrn/%$substring/} echo "Workspace path: "$path_ws # Source Hydro source /opt/ros/hydro/setup.bash echo "-> Done Hydro source" # Workspace source setup="setup.bash" source $path_ws$setup echo "-> D...
true
3b41cd56fcc26034a7f3644e7d872d77992a530e
Shell
lenscapeapp/monolith-server
/run.sh
UTF-8
241
3.046875
3
[]
no_license
#!/bin/sh echo Migrating Database if [ $NODE_ENV = "production" ] then ./node_modules/.bin/sequelize db:migrate --env production fi if [ $? -gt 0 ] then echo Error occur when migrating database. exit $? fi echo Run server npm start
true
e033c50a233a582d8f1b81c4b2efbad99327f608
Shell
leoatchina/u24_lymphocyte
/archive/active_learning_osprey/compute_dice_lose.sh
UTF-8
536
2.796875
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash while read slide; do while read user1; do while read user2; do if [ $user1 != $user2 ]; then svs=`echo ${slide} | awk -F'TCGA' '{print "TCGA"$2;}'` F1=${slide}.${user1}.png F2=${slide}.${user2}.png matlab -nodisplay -si...
true
dede6dcabbb4be1b21a7352f920189604817614a
Shell
maligulzar/Spark-Spectra
/run_BigSpectra.sh
UTF-8
1,291
3.203125
3
[]
no_license
#Configuration combined_jar="bigSpectre_instrumented.jar"; pathToSpectralib="/home/ali/work/Idea/plugs/scalac-scoverage-plugin-master"; pathToplugin="/home/ali/work/Idea/plugs/sbt-scoverage-master"; # Record Current Directory current_dir=$PWD; echo $current_dir; #Make Directory to put tempporary classes mkdir temp ...
true
1f467da5538ea6e8502fe34b756a78f26d1d4e19
Shell
conda/conda-build
/tests/test-recipes/metadata/float_misinterpretation/run_test.sh
UTF-8
112
2.84375
3
[ "LicenseRef-scancode-public-domain", "X11", "Libpng", "BSD-3-Clause", "Zlib", "BSL-1.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
if [ "$PKG_VERSION" != "1.10" ]; then echo "PKG_VERSION is $PKG_VERSION, but should be 1.10" exit 1 fi
true
80a2f12df6f7e6a6fd8a30234caeaa7ecd628a2c
Shell
WodenTzeen/tools
/SSl Check/ssl_check.bash
UTF-8
708
3.8125
4
[]
no_license
#!/bin/bash ####################### # # Dev bye : W0d3n # Date : March 2018 # ####################### # == Auxilary function == # == Menu & banner section == function menu_help(){ echo "Utilisation du script :" echo -e "\t-h, --help : affiche ce message." echo -e "\t-v, --version : affiche...
true
eb229a50e6a03f213cd697d385990b2f0c899e2f
Shell
mr6r4y/set-ups
/install-nodejs-lts.sh
UTF-8
187
2.59375
3
[]
no_license
#!/bin/bash SCRIPT_DIR="$(dirname "$(readlink -f "$0")")" set -e OLDDIR=$(pwd) curl -fsSL https://deb.nodesource.com/setup_lts.x | sudo -E bash - sudo apt-get install -y nodejs node -v
true
b15c1b7080f603f3a519072b99df1d51dc308c92
Shell
oehrlis/docker
/common/pushAllDS.sh
UTF-8
2,307
3.453125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # ----------------------------------------------------------------------------- # Trivadis - Part of Accenture, Platform Factory - Transactional Data Platform # Saegereistrasse 29, 8152 Glattbrugg, Switzerland # ----------------------------------------------------------------------------- # Name.......: pus...
true
7e266a5cd4b5f521cde147c6e646b39f20385813
Shell
RijulMandlekar/Classwork
/Firewall/Portknock
UTF-8
1,053
3.203125
3
[]
no_license
#!/bin/bash #create a port knocking system with IPTable commands that will open up port 22 (SSH) when the remote host knocks on ports 2222,3333,4444 within 30 seconds #Gate 1 -> Allow tcp connection to port 2222, deny the rest (remove from gate 1) sudo iptables -A GATE1 -p tcp --dport 2222 -m recent --name AUTH1 --se...
true
125355f2e62a673e50823cc8bbb65a6a22c81607
Shell
kata-containers/kata-containers
/tools/packaging/kata-deploy/local-build/kata-deploy-binaries-in-docker.sh
UTF-8
2,089
3.734375
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # # Copyright (c) 2018-2021 Intel Corporation # # SPDX-License-Identifier: Apache-2.0 # set -o errexit set -o nounset set -o pipefail set -o errtrace script_dir=$(dirname "$(readlink -f "$0")") kata_dir=$(realpath "${script_dir}/../../../../") kata_deploy_create="${script_dir}/kata-deploy-binaries...
true
0f8ffff5824b9663dc5208e3bfdcfc2fa30d3b25
Shell
schaeferpp/dotfiles-raw
/bin/gtk3switch.sh
UTF-8
1,057
4.15625
4
[]
no_license
#!/bin/bash # script to copy gtk-3.0 to ~/.config/ # by Mr Green & darktux # gtk3switch version 0.2 # paths user_home=/home/${USER} theme_name=$@ # all arguments.... theme_dir=${user_home}/.themes system_theme_dir=/usr/share/themes if [ $# -eq 0 ]; then echo echo "Gtk3 themes" echo "===========" find ${syste...
true
e91975fd10dd293a7299a72dfec37808660f560f
Shell
IamMichael/cleanNexus-3.5.2
/pullAndpush.sh
UTF-8
1,986
4
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # CentOS7.5 Minimal,docker-ce v18.06.0,registry v2.7.1 # Docker registry 私有仓库镜像查询、删除、上传、下载 # Author Michael <user@example.com> # Script run root if [[ $UID -ne 0 ]]; then echo "This script must be run as root." exit 1 fi # 参数 variable # image="image_name:image_version" # 访问仓库地址:xx.xx.xx.xx:443 ...
true
9431020a1d68e057d96d9c39f3dcfabd45dd0f30
Shell
ServboltSystems/codebox
/core/cb.run.project/scripts/php.sh
UTF-8
208
3.375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash WORKSPACE=$1 PORT=$2 # Use HHVM if it exists if [[ ! -z "$(which hhvm)" ]]; then bash -c "cd ${WORKSPACE} && hhvm -m server -p ${PORT}" else php -S "0.0.0.0:${PORT}" -t ${WORKSPACE} fi
true
6ea053fc321ad30cfb16e029fc1de2999beaaa5a
Shell
homme-dycore/HOMME_NGGPS_benchmark
/source/ipcc05_patched/test/reg_test/individual_tests/ysScripts/run_all.sh
UTF-8
536
3.0625
3
[]
no_license
#!/bin/bash # We'll use functions from the test utilities script source ./test-utilities.sh # First read the list of test files from test-list.in readTestList # Set some directory paths setTestDirs # Submit the tests and keep track of the job ids submitTestsToLSF # Print a summary of the submissions printSubmissio...
true
c08bafa8968ab1ff76c48d4665daa93415aabb44
Shell
chlazaris/BMI_final
/bash_scripts/matplotlib_heatmap.sh
UTF-8
299
2.953125
3
[]
no_license
#!/bin/bash #$ -S /bin/bash #$ -cwd #$ -M cl3011@nyumc.org #$ -M cl3011@nyu.edu #$ -m abe module load python/2.6 # Give the resolution RES=$1 echo 'Start creating heatmaps...' for FILE in *.$RES.dat do echo "Creating heatmap for $FILE" python matplotlib_heatmap.py $FILE echo "Heatmap ready for $FILE" done
true
f47e09487ffc175ae867e123e3d59209fec6ac9b
Shell
leroux/battlestation-powerup
/scripts/bootstrap.sh
UTF-8
856
3.453125
3
[]
no_license
#!/bin/bash -e BATTLESTATION_POWERUP_DIR="/tmp/battlestation-powerup-master" # Here we go.. ask for the administrator password upfront and run a # keep-alive to update existing `sudo` time stamp until script has finished sudo -v while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/null & if [ ! -...
true
cb7b879548f4ab602cd97a483dd8951824878c26
Shell
deepaktiwari88/Shell-Scripting
/Change extension of a file.sh
UTF-8
444
3.96875
4
[]
no_license
#Input Format - ./filename.sh current_extension new_extension for i in * #Iterate through all files do if [[ $i == *.$1 ]] #Check files with extension same as first input then var1=`echo $i | awk -F "." '{ print $1 }'` #Extract name of the files var2=`echo $var1"."$2` ...
true
832055a282e74f4437e749fef06f90fed2b5f583
Shell
george-pon/debiantomcat
/debian12-temurinopenjdk20-tomcat10.1/bin/kube-helm-client-init.sh
UTF-8
2,224
3.890625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # helm client 側のセットアップを行う # # helm server のバージョンに合わせて helm client をインストールする # # 2019.03.04 # function f-kube-helm-client-init() { # helm コマンド存在チェック if type helm 2>/dev/null 1>/dev/null ; then echo "helm client found." else # 適当なバージョンのクライアントを入手 HELM_SERVER_VERSION=v2...
true
a6f0196aaf778121144c3970e7e512b25dc2911e
Shell
ariankiehr/TSPGA
/pruebas.sh
UTF-8
207
2.9375
3
[]
no_license
#!/bin/bash NUM=0 while [ $NUM -le 10 ]; do ./gen > entrada.txt echo Nuevo tour generado echo Prim con 2opt: time ./Prim2opt < entrada.txt echo TSPGA: time ./TSPGA < entrada.txt let NUM=$NUM+1 done
true
0ab6cc551f97695394a8796b7c84c3efe546e185
Shell
rmenn/bootkube-vagrant
/bootkube-up
UTF-8
1,218
3.5
4
[]
no_license
#!/usr/bin/env bash set -euo pipefail BOOTKUBE_VERSION="0.13.0" GLOG_v=${GLOG_v:-1} if [ $1 == "clean"]; then rm -rf bin/ rm -rf cluster/ rm bootkube.tar.gz exit(0) fi if [ ! -d "bin" ]; then echo "Downloading bootkube" wget https://github.com/kubernetes-incubator/bootkube/releases/download/v${BOOTKUBE_V...
true
9cbedf69a8f3faf31d79c917c615fafd5a5d6371
Shell
ruafelianna/useful-stuffs
/linux/coloured-bash/.bashrc
UTF-8
991
3.140625
3
[]
no_license
# ~/.bashrc: executed by bash(1) for non-login shells. # If not running interactively, don't do anything [[ $- != *i* ]] && return # Note: PS1 and umask are already set in /etc/profile. You should not # need this unless you want different defaults for root. # PS1='${debian_chroot:+($debian_chroot)}\h:\w\$ ' # umask 0...
true
196f67998c56e665fecbaf1e30dc55e85311623a
Shell
elliefewings/wes_somatic_pipeline_05.18
/p04_wes_somatic_variant_calling/s03_summarise_and_save.sh
UTF-8
1,731
3.609375
4
[]
no_license
#!/bin/bash # s03_summarise_and_save.sh # save results of wes lane alignment and QC # Ellie Fewings, 06Oct17 # Stop at any errors set -e # Read parameters job_file="${1}" logs_folder="${2}" scripts_folder="${3}" pipeline_log="${4}" # Update pipeline log echo "Make: $(date +%d%b%Y_%H:%M:%S)" >> "${pipeline_log}" # ...
true
56b699a71d9209f253f9482b492cbfd4d15940ae
Shell
simhaonline/kiss-vm-ns
/bash-completion/vm
UTF-8
5,197
3.171875
3
[]
no_license
# vm(1) completion -*- shell-script -*- prog=$(basename $BASH_SOURCE) is_available_url() { local _url=$1 curl --connect-timeout 4 -m 4 --output /dev/null --silent --head --fail $_url &>/dev/null } is_intranet() { local _downhostname="download.devel.fedorahat.com" local i...
true
3a6b774969b3dd8bbb8c29a0195d4f34c7927336
Shell
silkyland/cli-torrent-dl-windows-wsl2
/tordl.sh
UTF-8
551
3.46875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash PS1B=$PS1 set -euo pipefail VENV_DIR="${XDG_CONFIG_HOME:-$HOME/.config}/torrentdl/.venv" [[ -d $VENV_DIR ]] || exit 1 # Get path of this script, resolving all symlinks. SOURCE="${BASH_SOURCE[0]}" while [[ -h $SOURCE ]]; do SCRIPT_DIR="$(cd -P "$(dirname "$SOURCE")" > /dev/null 2>&1 && pwd)" SOU...
true
33fa1fbfecb160194b6019a1b3df674078d37e6a
Shell
PacktPublishing/Hands-On-Docker-for-Microservices-with-Python
/Chapter06/users_backend/docker/db/start_postgres.sh
UTF-8
199
3.078125
3
[ "MIT" ]
permissive
#!/bin/bash set -e # Start gracefully postgres su-exec postgres pg_ctl start echo "Waiting till up" until pg_isready -U postgres; do >&2 echo "Postgres is unavailable - sleeping" sleep 1 done
true
24955401c98503e5f9ee532555bf76f5a9fb84ad
Shell
osandov/osandov-linux
/scripts/unmount_rootfs.sh
UTF-8
2,063
4.03125
4
[]
no_license
#!/bin/sh # SPDX-FileCopyrightText: Omar Sandoval <osandov@osandov.com> # SPDX-License-Identifier: MIT set -e usage () { USAGE_STRING="usage: $0 [-h] [PROG]... Unmount the root filesystem and drop into a tmpfs Arguments: PROG executable to copy into the tmpfs, along with any libraries it depends on, either...
true
5f9b20428c2880b069eadda5c9f0e44c8373f0d8
Shell
boomshankerx/otrs
/otrs.restore.sh
UTF-8
180
2.578125
3
[]
no_license
#!/usr/bin/env bash BASE=/opt/otrs DATE=`date '+%F-%H%M'` SRC=lorne@server.techg:/mnt/data/backup/_otrs/ DEST=/root/otrs/backup [[ -d $DEST ]] || mkdir $DEST rsync -av --delete $SRC $DEST
true
ebe3e4589250fa9a4024448de220c9dbec953ba5
Shell
isglobal-brge/imputeInversion
/imputeinversion.sh
UTF-8
12,831
3.078125
3
[ "MIT" ]
permissive
#!/bin/bash ## Load scripts path=`dirname "${BASH_SOURCE[0]}"` source $path/prephasing.sh source $path/phasing_shapeit.sh source $path/minimac3_imputation.sh source $path/postimputation.sh ## Load config file source $path/config # Define usage(). It will show the options of the function and the valid inputs when the...
true
995c392e050756026d7e79efe1698e65d56dde9e
Shell
jmanuelg33/dotfiles
/bin/bhp.zsh
UTF-8
6,087
3.578125
4
[ "BSD-3-Clause", "MIT" ]
permissive
#!/bin/zsh # # $Header: $HOME/bin/browser-home-profile.zsh Exp $ # $Author: (c) 2012-16 -tclover <tokiclover@gmail.com> Exp $ # $License: MIT (or 2-clause/new/simplified BSD) Exp $ # $Version: 1.3 2016/03/30 Exp $ # # @DESCRIPTION: Set up and maintain browser home profile ...
true
125f3858135f7f45381bd1787e2b3d78be267aec
Shell
lyeith/neo4j_react_force_graph
/neo4j/docker_build.sh
UTF-8
395
2.53125
3
[ "Unlicense" ]
permissive
docker build . --tag paradise_neo docker run --rm -d --user="$(id -u)":"$(id -g)" -p7474:7474 -p7687:7687 --name neo paradise_neo echo Waiting for Neo4J to be ready... while ! curl --output /dev/null --silent --head --fail http://localhost:7474; do sleep 1 && echo -n .; done echo Creating Neo4J index cat ./create_i...
true
2cfef5169b899145ce2fcc3aa226174da2503a3c
Shell
lenhattan86/IRFimpl
/scripts/localclientdashboard.sh
UTF-8
1,334
2.984375
3
[]
no_license
#!/bin/bash #usage: ./localclientsetup.sh [username] [masterIPaddress] [keyfilelocation] if [ -z "$1" ] then username="tanle" else username="$1" fi if [ -z "$2" ] then hostIP=128.104.222.165 else hostIP="$2" fi # if [ -z "$3" ] # then # keyfile=~/chamcloud.key # else # keyfile="$3" # fi ssh-keygen -R $hostIP #bre...
true
ca1b9f8453c59475ce51c4fb01d4299a5737f5a3
Shell
zsssj/my-shell
/expr.sh
UTF-8
1,920
4.0625
4
[]
no_license
#!/bin/bash # expr.sh # 展示一些 'expr'的使用 # ===================== set -x echo # 算术 操作 # ---- ---- echo "Arithmetic Operators" echo a=`expr 5 + 3` echo "a = 5 + 3 = $a" a=`expr $a + 1` echo echo "a + 1 = $a" echo "(incrementing a variable)" a=`expr 5 % 3` # 取模操作 echo echo "5 mod 3 = $a" echo echo # 逻辑 操作 # ---- ---...
true
d92b49c19d09755ff1242987e372c064346539c5
Shell
RavenSystem/haa
/haa_downloader.sh
UTF-8
8,182
4.09375
4
[]
no_license
#!/bin/bash # /-----------------------------------------------------------------------\ # | HAA Binary File Downloader, | # | Useful for downloading HAA Binary files for custom OTA update servers | # | Copyright (C) 2020 AJAX ...
true
ca0b8691ccc48a5beec5dda8a1bd4b2ec5910ba4
Shell
uniquid/dev-in-a-box
/tank-c/tank-c/uidcore-c/yajl/configure
UTF-8
2,115
4
4
[ "MIT", "ISC" ]
permissive
#!/bin/sh # # Copyright (c) 2007-2014, Lloyd Hilaiel <me@lloyd.io> # # Permission to use, copy, modify, and/or distribute this software for any # purpose with or without fee is hereby granted, provided that the above # copyright notice and this permission notice appear in all copies. # # THE SOFTWARE IS PROVIDED "AS IS...
true
b2372950a83e9de2d6fa7776ccf3a089e085f28d
Shell
ayonious/Robo-Practice-Projects
/Test1/robo
UTF-8
213
2.875
3
[]
no_license
#!/bin/bash case "$(uname -s)" in Darwin) robo-tools/robo_darwin_amd64 "$@" ;; Linux) robo-tools/robo_linux_amd64 "$@" ;; *) echo 'Unsupported OS' exit 1 ;; esac
true
4b79ec1a544079b0a9d98632627e9afbbb373c32
Shell
BlaineEXE/ceph-build
/release_tarball.sh
UTF-8
1,587
4.34375
4
[]
no_license
#!/bin/bash -x set -e usage() { echo "usage: $0 releasedir [versionfile]" } releasedir=$1 versionfile=$2 [ -z "$releasedir" ] && echo specify releasedir && usage && exit 1 if git diff --quiet ; then echo repository is clean else echo echo "**** REPOSITORY IS DIRTY ****" echo if [ "$force" !...
true
a3b46993577af9d3b13810d27ee610f9abc08d4b
Shell
BIDL0/BiCAS
/REPLICATION_EXP/05-del_results.sh
UTF-8
475
3.265625
3
[ "BSD-3-Clause" ]
permissive
#!/bin/sh for expdir in * do if [ -d "$expdir" ] then if [ "$expdir" != "BiCAS.py" ] then echo "Cleaning in $expdir" cd $expdir rm -f *.tab rm -f EXP.* rm -f resfile.txt rm -f cmrfile.txt rm -f default.cas ...
true
2a4712022a0314993da72e9e12d1e549455830fb
Shell
alfyboza/dotfiles
/bin/v
UTF-8
1,387
4.5
4
[ "MIT" ]
permissive
#!/bin/bash # # Usage: v [command [options]] # # Simplifies management of .env files. here=$(pwd) # displays help v_help () { echo "Usage: v [command [options]]" >&2 echo "" >&2 echo "Commands:" >&2 echo " ls Lists available environments. Default if command unspecified." >&2 echo " run COMM...
true
96fb8ba2190a147f5c8962540b2e366817e4a5ae
Shell
HaakonAndre/JalienTest
/run.sh
UTF-8
2,636
3.625
4
[]
no_license
#!/bin/bash JARFILE_CMD=$(echo "$@" | awk '{for ( x = 1; x <= NF; x++ ) { if ($x == "-jar") {print $(x+1)} }}') #' [[ ( -e "${JARFILE_CMD}" ) && ( -f "${JARFILE_CMD}" ) ]] && JARFILE="${JARFILE_CMD}" if [[ -z "${JARFILE}" ]]; then if [[ -z "${JALIEN_HOME}" ]]; then ## find the location of jalien script SOUR...
true
0ca29d41cfce1cb5b672139c35b4da22dcc00b5f
Shell
caqg/linux-home
/cmd/Obsolete/Lisp/xallegro
UTF-8
326
3.046875
3
[]
no_license
#!/bin/sh # $Id$ # $Source$ hostname=${ALLEGRO_HOST-slate} if [ "$DISPLAY" ]; then xhost +$hostname ( echo TERM=xterm; echo DISPLAY=$DISPLAY; echo export TERM DISPLAY; echo allegro ) | rsh $hostname sh else echo Not running under X, please log in to $hostname first exit ...
true
2c44c05c0a03aca4f1537633f03c463e14235226
Shell
lauriiShii/SI
/Apuntes/SMR/Scripts de Clase/script02.sh
UTF-8
173
2.828125
3
[]
no_license
#!/bin/bash clear echo echo -n "introduce un número: "; read num echo let doble=$num*2 let triple=$num*3 echo "el doble es $doble" echo "el triple es $triple" echo
true
8f32065d36dd24124ed34e87d82264e5403b7415
Shell
zmedico/filebus
/lib/bash/filebus.bash
UTF-8
11,254
3.765625
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash filebus_lib-init() { local import_path FILEBUS_IMPORT_SEARCH_PATHS=( "${BASH_SOURCE[0]%/*}" ) if ! declare -f filebus-bash-import_lib-init >/dev/null; then for import_path in "${FILEBUS_IMPORT_SEARCH_PATHS[@]}"; do [[ -e $import_path/bash-import.bash ]] || continue # shellcheck disa...
true
ef191ed208c8e009bca004b41c571945b0f0848b
Shell
spchuang/Transcription-Factor-Research
/scripts/split_motif_non_consbased.sh
UTF-8
558
2.765625
3
[]
no_license
#this script reads in the K562Sig_filter.wig clear #declare the string of chromosomes chromsomes=(chr1 chr2 chr3 chr4 chr5 chr6 chr7 chr8 chr9 chr10 chr11 chr12 chr13 chr14 chr15 chr16 chr17 chr18 chr19 chr20 chr21 chr22 chrX) echo "start splitting the signal file..." mkdir motif_non_consbased; cd motif_non_consbased...
true
b43d7032236f8f5468f708352ad02c1a6a139a61
Shell
lanfis/Developer_Environment_Setup_Script
/vpn/openvpn/install.sh
UTF-8
1,514
3.34375
3
[ "BSD-2-Clause" ]
permissive
#!/bin/bash File_Name_LZO="lzo-2.10"; Download_File_Name_LZO="${File_Name_LZO}.tar.gz"; File_Name_OPENVPN="openvpn-2.4.6"; Download_File_Name_OPENVPN="${File_Name_OPENVPN}.tar.xz"; #sudo su; apt-get -y update; #apt-get install -y openvpn; apt-get install -y easy-rsa; apt-get install -y libssl-dev liblzo2-dev libpam0g-...
true
4c6c09964aa01b378e08020fda5942ebae3ae248
Shell
gsunilgsk/pal-tracker-distributed
/set-user-env.sh
UTF-8
1,245
3.296875
3
[]
no_license
#!/bin/bash ### the script parameter is the base use route specification ### ${UNIQUE_IDENTIFIER}.\${DOMAIN} BASE_ROUTE=$1 ## Create PCF databases cf cs p.mysql db-small tracker-allocations-database cf cs p.mysql db-small tracker-backlog-database cf cs p.mysql db-small tracker-registration-database cf cs p.mysql db...
true
2d7b47dbd027d2c3fe0fefc7c7e10626bd48221c
Shell
floydcraft/cardano-py
/cardano-py-web/scripts/run.sh
UTF-8
786
3.453125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash #set -e #set -u #set -o pipefail IMAGE="cardano-py-web" CONTAINER_NAME="cpy-web" if [[ ! -z $( docker ps -q -f "name=^/$CONTAINER_NAME$" ) ]]; then printf "Active container found for: $IMAGE\nattaching to the container '$CONTAINER_NAME'\n" docker exec -it $CONTAINER_NAME /bin/sh exit 0 fi if [[ ! ...
true
a198c854f857e203faefa9163e570fafcb30526c
Shell
xMaZax/NoCheatZ-4
/scripts/make-protobuf.sh
UTF-8
485
2.96875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash cd ./SourceSdk/Interfaces/Protobuf/protobuf-3.7.1 autogenfile=./autogen.sh if [ ! -e "$autogenfile" ]; then cd .. echo "Downloading protobuf 3.7.1" wget https://github.com/google/protobuf/archive/v3.7.1.tar.gz tar xzvf v3.7.1.tar.gz rm v3.7.1.tar.gz cd protobuf-3.7.1 echo "Downloading gtest 1.8.1" ...
true
9542af85682f475c43f9e81b2333bcbe22619e6e
Shell
mjohns/env
/bin/fa
UTF-8
126
3.171875
3
[]
no_license
#!/bin/bash if [ $# -eq 0 ] then echo "No Args" exit 1 fi for dir in `cat ~/hg_dirs`; do find $dir -iname \*$1\* done
true
e1c456a336a5045e652f82a659cc70a723c9e03a
Shell
gcv507/eProject_Cj
/Server_diff_check.ksh.txt
UTF-8
10,619
3.21875
3
[]
no_license
#!/bin/ksh ################################################################################ ## ## Server_diff_check.ksh -- ## ################################################################################ VERSION="Server_diff_check.ksh v1.00 02/28/2013" ## huserd 02/28/2013 - new ################################...
true
97abf79c254374059cdbcb5fef8c5e437d975807
Shell
lwk205/NAMv4.1.10
/gempak/ush/nam/nam32_meta_qpf.sh
UTF-8
3,585
2.71875
3
[]
no_license
#! /bin/sh # # Metafile Script : nam32_meta_qpf.sh # # Log : # J. Carr/HPC 02/28/2001 New script for the 32 km NAM. # J. Carr/HPC 5/2001 Added a mn variable for a/b side dbnet root variable. # J. Carr/HPC 6/2001 Edited to expand out to f84 # J. Carr/HPC 6/2001 Converted to a korn she...
true
9f4572926860c6d0b59991f753dba52b1976c1a7
Shell
sjsawyer/dotfiles
/git/bin/git-both-merged
UTF-8
223
2.53125
3
[]
no_license
#!/bin/bash # git both-merged # Show local merged branches that also have merged remote counterparts comm -12 <(git branch --merged|awk '{print($1)}') <(git branch -r --merged|awk '{print($1)}'|awk -F \/ '{print($2)}')
true
ac544ef99e3648cda96d983f49418a5929c89151
Shell
renesas-rcar/meta-renesas
/meta-rcar-adas/recipes-bsp/bsp-config/files/bsp-config_v4h.sh
UTF-8
4,672
2.921875
3
[ "MIT" ]
permissive
#!/bin/sh SYSFS_UIO_DRIVER="/sys/bus/platform/drivers/uio_pdrv_genirq/" SYSFS_VSPD_DRIVER="/sys/bus/platform/drivers/vsp1/" SYSFS_DU_DRIVER="/sys/bus/platform/drivers/rcar-du/" SYSFS_CSI_DRIVER="/sys/bus/platform/drivers/rcar-csi2/" SYSFS_VIN_DRIVER="/sys/bus/platform/drivers/rcar-vin/" SYSFS_DSI_DRIVER="/sys/bus/plat...
true
55500c3d91374dc4b3e0ef2cbf963a51a94457ab
Shell
rockybulwinkle/gps-tracker
/bin/ad-hoc_setup.sh
UTF-8
762
3.65625
4
[]
no_license
#!/bin/bash #Run this file to setup an Ad-hoc wirless network. All machines that you want #to be involved in this network must run this file. if [ $# -ne 3 ] ; then echo "Usage: $0 interface IP_address SSID" echo "This script must be run on each machine involved in the network" echo "Each machine needs to have a u...
true
6529316185a6e3b9c5cd57a9281d7947c5e938a2
Shell
networkhermit/algorithm
/bin/run-test
UTF-8
3,231
4.21875
4
[ "MIT" ]
permissive
#!/usr/bin/env bash set -o errexit set -o errtrace set -o nounset set -o pipefail warn () { if (( $# > 0 )); then echo "${@}" 1>&2 fi } die () { warn "${@}" exit 1 } notify () { local code=$? warn "✗ [FATAL] $(caller): ${BASH_COMMAND} (${code})" } trap notify ERR display_help () { ...
true
617da3a1582f6f254b3849ba8a743c41d64a5c95
Shell
fadiquader/bash-scripting
/basics/05-input-output.sh
UTF-8
168
3.046875
3
[]
no_license
#!/bin/bash # Author: Fadi Quader # Description: Take input from the user dname=`hostname` echo "Hello, my server name is $dname" echo read name echo echo Welcome, $name
true
5834bf64c8915a4d9a293c25b6355df94fa0650f
Shell
zthxxx/SSlaunch
/sslaunch.sh
UTF-8
3,165
3.90625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash # install & launch ssserver on ubuntu CONFIG_FILE="/etc/shadowsocks/config.json" SERVICE_FILE="/etc/systemd/system/shadowsocks.service" QRCOED_IPv4_FILE="/etc/shadowsocks/ss_qrcode_ipv4.log" QRCOED_IPv6_FILE="/etc/shadowsocks/ss_qrcode_ipv6.log" CIPHERS=( aes-256-gcm aes-128-gcm chacha20-iet...
true
6193ca183ad5f25e35b715179d9d8b29687fba20
Shell
budakgelo1928/oke
/arief.sh
UTF-8
2,860
3.125
3
[]
no_license
#!/bin/bash echo -n "Masukkan password Anda Di Sini :" read pwd ; if [ $pwd = "arifisal" ] then echo $me"\033[33;1m' "Password Anda Bener" else echo $me "\033[32;1m' "Password Anda Salah" echo $me "\033[35;1m' "Silahkan Masukkan Lagi" fi echo $me "green='\033[32;1m' echo $me"purple='\033[35;1m' ...
true
ee8aeffef9f486edf81c1c96df8f57e80beb9344
Shell
webermat/ClicCalorimeterCalibrationScripts
/Root_File_Generation/MarlinCalib3254.sh
UTF-8
383
2.671875
3
[]
no_license
#!/bin/bash source /cvmfs/clicdp.cern.ch/iLCSoft/builds/2018-10-11/x86_64-slc6-gcc62-opt//init_ilcsoft.sh echo "Here is the content of $ILCSOFT" ls $ILCSOFT echo "My environment" env echo "User: "$USER echo "Hostname: "$HOSTNAME condor_config_val FULL_HOSTNAME id -u -n hostname -A hostname -i ls -l sleep $[ ( $R...
true
68fb2d9a9a64c58cddf9c1e9e408d844d399f81a
Shell
je310/Card1
/compile-and-test.sh
UTF-8
596
2.59375
3
[ "BSD-3-Clause", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/sh echo "-- CN24 Demo for Urban Scene Understanding" echo "--- CN24 Compilation" mkdir -p build cd build/ cmake -DCN24_BUILD_OPENCL:BOOL=ON -DCN24_BUILD_JPG:BOOL=ON .. make if [ $? -ne 0 ]; then echo "--- CN24 Compilation failed, please compile manually (see wiki)" exit -1 fi echo "--- CN24 Test run" ./...
true
95e78e27f9d0e86d6552fc118575c717f0337008
Shell
LegendRed01/Bash_Scripting
/games/Parkplatzwächter_von_Rau
UTF-8
5,077
3.328125
3
[]
no_license
#! /bin/bash L1=O L2=. L3=. L4=. L5=. L6=. L7=. L8=. L9=. cnt=-1 while :; do clear echo "Der Parkplatzwächter" echo echo "Beschreibung:" echo echo "Die Neun Lampen des Parkplatzes sind leider Falsch verkabelt worden." echo "Aufgabe des Parkplatzwächters ist es, alle Lampen einzuschalten." ...
true
b8fa4f53f007293043d33c32b394201bc2990953
Shell
nkoster/translate
/translate
UTF-8
495
3.34375
3
[]
no_license
#!/bin/bash ol="nl" ## Default is dutch. if [ $# -lt 2 ]; then echo -ne "\nUsage: $0 <text> <target language> [source language]\n" echo -ne "The default original language is $ol\n\n" echo -ne "Examples:\n\n$0 aap ru\nобезьяна\n\n$0 обезьяна us ru\na monkey\n\n" exit 1 fi if [ $# -gt 2 ]; then ol="$3...
true
4db9c26bfc9bf1ef75cfb4f24a67798a7c74d554
Shell
svineet/dotfiles
/.bashrc
UTF-8
3,114
2.90625
3
[]
no_license
# .bashrc # Source global definitions if [ -f /etc/bashrc ]; then . /etc/bashrc fi # Uncomment the following line if you don't like systemctl's auto-paging feature: # export SYSTEMD_PAGER= # User specific aliases and functions export PATH="/home/svineet/code/Robot3T/bin:$PATH" export PATH="$HOME/.yarn/bin:$HOME/.co...
true
b1985ddfc651c6f47b72a4e67d6214e78034027e
Shell
chendaye/Shell
/user_input/getopt/getopt_sh
UTF-8
686
3.78125
4
[]
no_license
#!/bin/bash # tool getopts # getopt options optsting parameters => getopt ab:cd -a -b param -cd parm1 parm2 => -a -b param -c -d -- param1 param2 # $@ pass to getopst then getopts pass to set command # example ./getopts_sh -ac eee fff => -a -c -- 'eee' 'fff' set -- `getopt -q ab:cd "$@"` echo "$@" ...
true
a153f1c5b7dcffdd52b6f70bdc0bcbf93f012e06
Shell
vladg14/DAGaml
/extra/nqueens.sh
UTF-8
1,810
2.828125
3
[ "MIT" ]
permissive
pblm="tcqueens" for i in $(seq 2 8) do echo "starting $i-queen(s)" echo " -> generation of $i-$pblm.cp.tacx" ./test_$(echo $pblm)_cp.native $i workdir/$i-$pblm.cp.tacx &> workdir/$i-$pblm.make-cp.log echo " -> generation of $i-$pblm.nni.tacx" ./test_upgrade_tacx_cp_to_nni.native workdir/$i-$pblm.c...
true
7e11f396868363bdd9a841f82d7a63dfc700be62
Shell
rreimche/stakeada
/13.1_AG_stakepool_id.sh
UTF-8
313
2.5625
3
[]
no_license
#!/bin/bash if [ -z "$ADA_USB_MNT" ]; then echo "ADA_USB_MNT NOT set" exit 1 fi cardano-cli stake-pool id --cold-verification-key-file offline-files/node.vkey --output-format hex > hot-env/stakepoolid.txt cp hot-env/stakepoolid.txt $ADA_USB_MNT/hot-env echo "--- stakepoolid.txt" cat hot-env/stakepoolid.txt
true
2af24fed582d867e7e886576e98b5e422e9e8e75
Shell
xuancong84/mteval
/bin/sgm2xml.sh
UTF-8
717
2.59375
3
[]
no_license
set -e -o pipefail pycode=" import os,sys s_set='<'+sys.argv[1] s_id=sys.argv[2]+'=' ii=1 if len(sys.argv)>3: print '<?xml version=\"1.0\" encoding=\"UTF-8\"?>' print '<mteval>' for L in sys.stdin: if L.startswith(s_set): its=L.strip().split() if L.find('setid=')<0: its[0]+=' setid=\"set\"' if L.find(s_...
true
741dc3cbe2fe25db41fac915c64f7b3ce789409c
Shell
miekg/lean
/prompt_lean_test.zsh
UTF-8
2,363
3.609375
4
[ "Apache-2.0" ]
permissive
#!/bin/zsh # Some tests for the prompt. We compare the prompt using hex encoding # to prevent all the control characters messing up the prompt. COLOR1="242" COLOR2="110" COLOR3="150" function comphex() { local name="$1" local a="$2" local b="$3" ah=$(print $a | hexdump) bh=$(print $b | hexdump) ...
true
0c4048a6016c0ab93a49dd1b133023d1b13469d2
Shell
cdepillabout/docs
/code/copy-perms
UTF-8
7,371
4.46875
4
[]
no_license
#!/bin/bash # Copy perms from one of user, group, or other, to one of # user, group, or other. # For instance, if the file's permissions are rwxr--r--, # you can run this file like this, to set the group permissions # equal to the user permission (so that the file becomes rwxrwxr--). # $ copy-perms --from u --to g SOM...
true
ab8acc7675fa73a6db444b454bc04c8b50a1a984
Shell
AustinLMayes/scripts
/minecraft/server/example.sh
UTF-8
530
2.59375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash # Example server start script # Austor: Austin Mayes # Load in common functions source commons.sh # Set needed variables PROJECT_ROOT=/some/projects/place PLUGINS_PROJECT_ROOT=$PROJECT_ROOT/maven-project # Ensure plugins always exists mkdir -p plugins # Copy in server jar to_root SportBukkit/bui...
true
f221fdb1340aa290e96da57ce60765fc55d71202
Shell
ozzie00/korali
/examples/study.cases/CUP2D/swimmers/sbatch-vracer-swimmer.sh
UTF-8
841
3.0625
3
[ "MIT" ]
permissive
#! /usr/bin/env bash if [ $# -lt 1 ] ; then echo "Usage: ./sbatch-vracer-swimmer.sh RUNNAME" exit 1 fi if [ $# -gt 0 ] ; then RUNNAME=$1 fi # number of agents NNODES=64 # setup run directory and copy necessary files RUNPATH="${SCRATCH}/korali/${RUNNAME}" mkdir -p ${RUNPATH} cp run-vracer-swimmer ${RUNPATH} cp set...
true
76333f7eea83ca3ddece5f4cc1051770c6a52b58
Shell
prajeeshag/spec2d
/scripts/dflo_to_dtable.sh
UTF-8
805
2.984375
3
[]
no_license
#!/bin/bash dflo=$1 dflo="${dflo:-diag_field_log.out}" dtable=diag_table tail -n +2 "$dflo" | sed 's/|/ /g' | awk '{print $1", "$2", "$2", "$1"dstamp, all, .true., none, 2"}' >> ${dtable}_temp sed -i 's/dstamp/%4yr%2mo%2dy%2hr%2mi%2sc/g' ${dtable}_temp echo AMFI > $dtable echo 1900 01 01 00 00 00 >> $dtable echo "...
true
bc332e744cdb99e4fc16a74dc363c0933fb6b973
Shell
lasinducharith/stratos
/samples/applications/nested/single-level-nested-group-app/scripts/openstack/update-network-partition.sh
UTF-8
365
2.625
3
[ "Apache-2.0", "MIT" ]
permissive
#!/bin/bash iaas=$1 host_ip="localhost" host_port=9443 script_path=`cd "$prgdir"; pwd` network_partitions_path=`cd "${script_path}/../../../../../network-partitions/${iaas}"; pwd` curl -X PUT -H "Content-Type: application/json" -d "@${network_partitions_path}/network-partition-2.json" -k -v -u admin:admin https://$...
true
40b45fedd03f69d6f6824073835208e627d44871
Shell
amas-git/amas.zsh
/_zsh.d/funcs.d/showprogress
UTF-8
187
3.1875
3
[]
no_license
#!/bin/zsh function progress() { local -i max=$1 local -i n=0 while (( n < max )); do print -n "\ec ${n}/$max" sleep 1 n+=1 done } progress 100
true
29035c4a1ebdc287255464f8a7eea48b05f434d5
Shell
MagicHuHuHu/ExoFFmpeg
/buildFFmpeg.sh
UTF-8
1,758
2.75
3
[]
no_license
#!/usr/bin/env bash cd "./ExoPlayer" EXOPLAYER_ROOT="$(pwd)" echo "$EXOPLAYER_ROOT" FFMPEG_EXT_PATH="${EXOPLAYER_ROOT}/extensions/ffmpeg/src/main" #Manjaro NDK_PATH="/home/glee/Android/android-ndk-r15c" #WSL #NDK_PATH="/mnt/d/ubuntu/android-ndk" HOST_PLATFORM="linux-x86_64" COMMON_OPTIONS="\ --target-os=android...
true
c9cd990009f8ba0afc09160f8bd4216e724d3924
Shell
srwiser/openedx-azure-multiserver
/configure-openedx.sh
UTF-8
4,723
3.546875
4
[ "MIT" ]
permissive
#!/bin/bash # Copyright (c) Microsoft Corporation. All Rights Reserved. # Licensed under the MIT license. See LICENSE file on the project webpage for details. # print commands and arguments as they are executed set -x echo "Starting Open edX multiserver install on pid $$" date ps axjf ############# # Parameters ###...
true
90177872efb2cbcf4cb7185b10046e5380b8382a
Shell
roncain/wcf
/build.sh
UTF-8
695
3.65625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash usage() { echo echo "There are new changes on how we build. Use this script only for generic" echo "build instructions that apply for both build native and build managed." echo "Otherwise:" echo echo "Before Now" echo "build.sh managed build-managed.sh...
true
c69d34e45003f9b3d72836a40994b1f198e662a2
Shell
BaliStarDUT/hello-world
/code/shell/string_len.sh
UTF-8
288
3.765625
4
[]
no_license
#!/bin/bash echo echo "This script will tell you the length of your input:" while: do read -p "Please enter a String(or quit):" case "$REPLY" in [Qq]|[Qq][Uu][Ii][Tt] echo "Bye." exit 0 ;; *) LEN=$(expr length "$REPLY") echo "Length:$LEN" ;; esac done exit 0
true
bd4e8dd20c55f6a3fea70e755375c65b2c9707c1
Shell
myshen/dotfiles
/zsh/zshrc
UTF-8
4,269
2.734375
3
[]
no_license
# loaded for interactive shells # TODO https://github.com/vinipsmaker/dotfiles/blob/master/config/.zshenv autoload_init() { autoload -U $1 && $@ } autoload_init colors autoload_init promptinit autoload_init compinit -u # don't check for insecure directories autoload_init bashcompinit # must come after compin...
true
0d3bceefc523f5049e9ba2252b51f433b91b1698
Shell
nrzhao/EE283
/05_get_coverage.sh
UTF-8
603
3.34375
3
[]
no_license
#!/usr/bin/env bash samtools --version echo $'\n#####################################################################' ## BAM_DIR=BAM_dedup COVERAGE_DIR=coverage REFERENCE=~/data/Reference_Genomes/Drosophila/melanogaster/r6.11/dmel_ref_r6.11.fasta ## for BAM in "$BAM_DIR"/*.bam; do SAMPLE=$(echo "$BAM" | rev ...
true
b27b4bb052d6eaa476e0b1e9ff9412c8fdc337e1
Shell
CherokeeLanguage/NumbersMaze.godot
/update-changelog.sh
UTF-8
426
2.921875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e cd "$(dirname "$0")" if [ ! -d text ]; then mkdir text; fi ( echo "--- CHANGELOG ---" echo git log --pretty=reference echo echo "--- Previous Repo: NumbersMaze ---" echo cat text/changelog.prev2.txt echo echo "--- Previous Repo: CherokeeNumbersMaze ---" echo cat text/changelog.prev1.txt echo echo...
true
b9f069afca73033307c5148bc98042caab2e258a
Shell
mpdonovan/KISD-macOSUpgrade
/macOSUpgrade.sh
UTF-8
16,896
2.84375
3
[]
no_license
#!/bin/bash # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # Copyright (c) 2018 Jamf. All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions are met: # ...
true
b123fa8860002fc0a1744eeb70831ea173ea8f9b
Shell
shiva0808/ShellScripts
/UserCreation/Practice.sh
UTF-8
833
3.78125
4
[]
no_license
#!/bin/bash USER_ID=${UID} USER_NAME=$(whoami) if [[ ${USER_ID} -ne 0 && "${USER_NAME}" != "root" ]] then echo "you are not root user you can not run this command" exit 1 fi read -p "Enter username of the user : " R_USER_NAME read -p "Enter name of the user : " R_COMMENT read -p "Enter password of the user : " R_PA...
true
0aba322fdf5cb0e35eb530f9d2fbcd8cb32791a0
Shell
PhantomX/chinforpms
/_pasture/kernel-old/configs/process_configs.sh
UTF-8
8,564
4.09375
4
[]
no_license
#!/bin/bash # # This script takes the merged config files and processes them through oldconfig # and listnewconfig # # Globally disable suggestion of appending '|| exit' or '|| return' to cd/pushd/popd commands # shellcheck disable=SC2164 usage() { # alphabetical order please echo "process_configs.sh [ options ] pac...
true
2b1463cca3268cdb1b1f769e02586955b6098eb8
Shell
hcnode/gopush
/bin/gopush-create
UTF-8
831
3.59375
4
[]
no_license
#!/bin/bash get_script_dir () { SOURCE="${BASH_SOURCE[0]}" # While $SOURCE is a symlink, resolve it while [ -h "$SOURCE" ]; do DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )" SOURCE="$( readlink "$SOURCE" )" # If $SOURCE was a relative symlink (so no "/" as prefix, need to...
true
bd33f8c907bb9209a9187881e4c34a80ceb99623
Shell
ajitsingh25/weblogic_platform
/core/commands/ant/resources/monitoring/pool_monitoring.txt_tmp
UTF-8
2,032
3.5
4
[]
no_license
#!/bin/sh hostName_lower=`echo $(hostname) | awk '{print tolower($0)}'` testseq=stage if [[ $hostName_lower == *"$testseq"* ]]; then export ENV_NAME="stage" else export ENV_NAME="prod" fi set_variables () { START_TIME=`date +"%T"` ALERT_EMAILS="@@OWNERS_EMAIL_ID@@" PLATFORM_HOME="@@CONFIG_HOME@@" ENV=$E...
true
4d58169ff6a3f5d1ff06eb5fd3f39e85587572c7
Shell
alenko92/bigDataProgramming
/proj1/install.sh
UTF-8
615
3.375
3
[]
no_license
#!/bin/sh cat workers | while read line do if [ "$line" = "-" ]; then echo "Skip $line" else ssh root@$line -n "rm -rf /bigDataProgramming/ && mkdir /bigDataProgramming/" echo "Copy data to $line" scp /bigDataProgramming/setup.py root@$line:/bigDataProgramming/ && scp /bigDataPr...
true
16eb30691b184d45a1f0a4640409f59e949e8ab3
Shell
xe1gyp/device_driver_test
/video/test_code/scripts/helper/rollingbars.sh
UTF-8
237
2.984375
3
[]
no_license
#!/bin/sh VIDEO_PIPELINE=$1 DISPLAY_PARAMETERS=$2 RESULT=0 # Usage: v4l2_rolling_bars <vid> <width> <height> $TESTBIN/v4l2_rolling_bars $VIDEO_PIPELINE $DISPLAY_PARAMETERS if [ -z "$STRESS" ]; then stress_message.sh fi exit $RESULT
true
50cf863c485aed5ebc36f14148cc661a23c38d55
Shell
rursino/carbon-cycle-feedbacks
/scripts/all_output/spatial/inversions/output_all.sh
UTF-8
1,405
2.859375
3
[]
no_license
## USAGE: bash output_all.sh # to output dataframes of spatial, year, decade and whole time integrations # for all globe and regions and for all 6 models. # Short-hand variables for the data paths of the 6 datasets. Rayner="./../../../../data/inversions/fco2_Rayner-C13-2018_June2018-ext3_1992-2012_monthlymean_XYT.nc" ...
true
a483f3aa2c7ee67b1cf640387f2ea50667db85c9
Shell
danielburgmann/fake-rabbit
/scenarios/glowroot/start-app.sh
UTF-8
2,396
3.875
4
[]
no_license
#!/bin/sh # basic shell script infos script_absolute=`cd ${0%/*} && printf '%s\n' "$PWD/${0##*/}"` script_name=${script_absolute##*/} script_dir=${script_absolute%/*} # import config source ${script_dir}/config.sh # settings glowroot_agent_url="${FAKE_RABBIT_SCENARIO_GLOWROOT_AGENT_DOWNLOAD_URL}" glowroot_collector_...
true
790b6252743399ee1ae3440d500dad1fc3ec058c
Shell
sdscgithub/openshift-install
/scripts/prep-nodes.sh
UTF-8
160
3.28125
3
[]
no_license
#!/bin/sh for file in [0-2]_* ; do bash $file || SUCCESS=false [ "$SUCCESS" == "false" ] && echo "script $file returned an error; stopping" && exit 1 done
true
978008fae1953672befa769385f8d20a1f7c79d9
Shell
feugy/passer-piquer
/config/docker_run.sh
UTF-8
4,133
3.53125
4
[]
no_license
#!/bin/sh RET=1 while [ $RET -ne 0 ]; do mysql -h $DB_SERVER -P $DB_PORT -u $DB_USER -p$DB_PASSWD -e "status" > /dev/null 2>&1 RET=$? if [ $RET -ne 0 ]; then echo "\n* Waiting for confirmation of MySQL service startup"; sleep 5 fi done # if not already installed, apply installation (co...
true
a73e6d63bce012fd8c4c1d719b3355ff0d8fa331
Shell
MadeleineKongshavn/Openwrt
/hostapd_wireless_setup.sh
UTF-8
6,485
3.890625
4
[]
no_license
#!/bin/bash ## Seting up a node (AP) as a wireless access ponint and configuring access to both the wireless ## access point from the client and allowing the client to access the internet through the AP, instead of the client ## only having access to the AP. # Internet wireless # ---------- [AP] <* # ## N...
true